numGp=[0 1];
denGp=[1 2 0];
Gp=tf(numGp, denGp)
T = input('Enter the sampling time in sec ');   % Sampling time
Gz = c2d(Gp, T, 'zoh')               % open-loop sampled-data transfer function 
[numGz,denGz]=tfdata(Gz, 'v');       % Returns the num and den of Gz
rn=roots(numGz)                      % zeros of Gz
rd=roots(denGz)                      % poles of Gz
s1 = -2 +j*2;                %desired location of the closed loop pole in s-plane 
z1 = exp(T*s1);              %desired location of the closed loop pole in z-plane
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
                          % The following commands evaluates the vector length 
                          % from poles and zeros, their angles, controller pole, and Kc
                          % Using graphical method
zh=-rn+real(z1); zv=imag(z1);
Mz=sqrt(zh^2+zv^2); thetaz=atan(zv/zh);   %Vector length and angle to zero
ph=rd(1)-real(z1); pv=imag(z1);
Mp=sqrt(ph^2+pv^2);thetap=pi-atan(pv/ph)  %Vector length and angle to zero
thetapo=pi+thetaz-thetap;                 % Angle of po applying angle criteria
x=pv/tan(thetapo);  po=real(z1)-x
Mpo=sqrt(x^2+pv^2);
Kc=Mp*Mpo/(Mz*numGz(2))                   % Kc applying magnitude criteria
numD=Kc*[1 -rd(2)];
denD=[1  -po];
D=tf(numD, denD, T)                       % Controller transfer function
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
DGz=D*Gz;                                 % Open loop transfer function
DG=minreal(DGz)                           % eliminate duplicate poles and zeros
Tz=feedback(DG, 1)                     % Closed loop transfer function
ltiview('step', Tz)
[numT, denT]=tfdata(Tz, 'v')
figure(2), dstep(numT, denT)