numGp=[0 1];
denGp=[1 5 4];
Gp=tf(numGp, denGp)
%T = input('Enter the sampling time in sec ');   % Sampling time
T=0.1;
Gz = c2d(Gp, T, 'zoh')               % open-loop sampled-data transfer function 
[numGz,denGz]=tfdata(Gz, 'v');       % Returns the num and den of Gz
rn=roots(numGz)                      % zeros of Gz
rd=roots(denGz)                      % poles of Gz
s1 = -1 +j*1;                %desired location of the closed loop pole in s-plane 
z1 = exp(T*s1)              %desired location of the closed loop pole in z-plane
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
                          % The following commands evaluates the vector length 
                          % from poles and zeros, their angles, controller pole, and Kc
                          % Using graphical method
zh=-rn+real(z1), zv=imag(z1)
Mz1=sqrt(zh^2+zv^2), thetaz1=atan(zv/zh)   %Vector length and angle to zero
ph1=rd(1)-real(z1), pv1=imag(z1)
Mp1=sqrt(ph1^2+pv1^2), thetap1=pi-atan(pv1/ph1)  %Vector length and angle to pole
ph2=real(z1)-rd(2), pv2=imag(z1)
Mp2=sqrt(ph2^2+pv2^2), thetap2= atan(pv2/ph2)  %Vector length and angle to pole

ph0=1-real(z1), pv0=imag(z1)
Mp0=sqrt(ph0^2+pv0^2), thetap0=pi-atan(pv0/ph0)  %Vector length and angle to pole at 1
thetaz0=thetap1+thetap2+thetap0-thetaz1-pi               % Angle of z0 applying angle criteria
x=pv0/tan(thetaz0),  z0=real(z1)-x
Mz0=sqrt(x^2+pv0^2);
KP=Mp1*Mp2*Mp0/(Mz1*Mz0*numGz(2))                % Kc applying magnitude criteria
numD=KP*[1  -z0];
denD=[1  -1];
D=tf(numD, denD, T)                       % Controller transfer function
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
DGz=D*Gz;                                 % Open loop transfer function
DG=minreal(DGz)                           % eliminate duplicate poles and zeros
Tz=feedback(DG, 1)                     % Closed loop transfer function
[numTz, denTz]=tfdata(Tz, 'v');        % Returns num, den of the sampled-data closed loop TF
r = roots(denTz)
s=log(r)/T
ltiview('step', Tz)
