numGp = [0 0 8];
denGp = conv([1 2],[1,8]);
Gp = tf(numGp, denGp);             % plant transfer function
numH = [0 20];
denH = [1 20];
H = tf(numH, denH);                % plant transfer function
HGp = H*Gp;                        % Continuous open loop TF
T = 0.1;                           % Sampling time
G = c2d(Gp, T, 'zoh')              % Sampled-data plant TF
HG = c2d(HGp, T, 'zoh')            % Sampled-data open loop TF
figure(1), rlocus(HG)              % Plot root locus
zeta = 0.707
zgrid(zeta, 1)                     % Add unit circle and zline to root locus
[Kc, pc] = rlocfind(HG)            % Puts a crosshair, when clicked at a location gain K 
                                   % and poles are returned
[K, p] = rlocfind(HG)              % Find K for zeta = 0.707
Tz = K*G/(1 + HG*K)                % Closed-loop sampled data transfer function
figure(2), ltiview('step', Tz)     % Step response
