num = 10;
den = [1  1  0];
Gp = tf(num, den)                            % Plant transfer function
T = 0.1;                                     %  Sampling time
[numz, denz] = c2dm(num, den, T, 'zoh');     % open-loop sampled-data num and den 
Gz = tf(numz, denz, 0.1)                     % Open-loop sampled-data transfer function   
Kp = ddcgain(numz, denz)                     % Calculate Kp
e_ss_step = 1/(1+Kp)
numzKv = (1/T)*conv([1  -1], numz);          % Multiply G(z) by (1/T)*(z-1)
Kv = ddcgain(numzKv, denz)                   % Calculate Kv
e_ss_ramp = 1/Kv
numzKa = (1/T)^2*conv([1  -2  1], numz);     % Multiply G(z) by (1/T)^2*(z-1)^2
Ka = ddcgain(numzKa, denz)                   % Calculate Kv
if Ka == 0 
    e_ss_par = inf
    else, e_ss_par = 1/Ka
end

% To determine if system is stable we find the sampled data close-loop poles
Tz = feedback(Gz, 1);                        % Closed-loop sampled data transfer function
[numT, denT] = tfdata(Tz, 'v');  % Returns the num and den of the closed-loop SDTF
r = roots(denT);                             % Roots of the sampled-data char. Eq.
rmag = abs(r)                                % Absolute value of the largest roots