K=40;
num=1;
den=[1  2 0];
disp('Uncompensated open-loop Transfer function')
GU = tf(num*K, den)            % Open-loop transfer function with K =10
w=logspace(-3,2, 100);          % specified range for w 10^-3 to 10^2
figure(1)
bode(GU, w); grid on            % Returns the Bode magnitude and phase plot
hold on
plot([10^-3  100],[-5.46, -5.46])
disp('Uncompensated closed-loop Transfer function')
TU=feedback(GU, 1)
ltiview('step', TU)
disp('Uncompensated GM, PM with K =10')
[Gm, Pm, wpc, wgc]=margin(GU)   % Returns GM, PH, w_gc, and w_pc
Pmd = 45-Pm+6;                  % PM at the new gain crossover frequency
Pmdr=Pmd*pi/180;                % PM in Radian
alpha = (1+sin(Pmdr))/(1-sin(Pmdr));
dB = -10*log10(alpha);
wm = 8.53                      % New crossover frequency From mag plot

p0=wm*sqrt(alpha); z0=p0/alpha;% Controller's zero and pole
Kc= p0/z0;

disp('Phase-lead controller transfer function')
Gc=tf(Kc*[1  z0], [1  p0])      % Controller transfer function
disp('Compensated open-loop Transfer function')
Gcomp=series(GU, Gc)            % Compensated open-loop transfer function
figure(2)
bode(Gcomp, w); grid on
disp('Compensated GM and PM')
[Gm, Pm, wpc, wgc]=margin(Gcomp)
disp('Compensated closed-loop Transfer function')
Tc=feedback(Gcomp, 1)
ltiview('step', Tc)