K=56;
num=1;
den=[1  7  14  8];
disp('Unompensated open-loop transfer function')
GU = tf(num*K, den)             % Open-loop transfer function with K =10
w=logspace(-3,2, 100);          % specified range for w 10^-3 to 10^2
figure(1)
bode(GU, w); grid on            % Returns the Bode magnitude and phase plot
hold on, plot([10^-3  100], [-7.71 -7.71])
disp('Uncompensated GM, PM with K =10')
[Gm, Pm, wpc, wgc]=margin(GU)   % Returns GM, PH, w_gc, and w_pc
disp('Uncompensated closed-loop Transfer function')
TU=feedback(GU, 1)
ltiview('step', TU)
z0=0.173; p0=0.071;             % Controller's zero and pole
Kc= 0.41;
disp('Phase-lag controller transfer function')
numc=Kc*[1  z0]; denc=[1  p0]; 
Gc=tf(numc, denc)      % Controller transfer function
disp('Compensated open-loop Transfer function')
Gcomp=series(GU, Gc)   % Compensated open-loop transfer function
figure(2)
bode(Gcomp, w); grid on
disp('Compensated GM and PM')
[Gm, Pm, wpc, wgc]=margin(Gcomp)
disp('Compensated closed-loop Transfer function')
Tc=feedback(Gcomp, 1)
ltiview('step', Tc)
[numd, dend]=bilinear(numc, denc , 1/0.01);
Dz = tf(numd, dend, 0.01)